/// <reference types="react" />
import { IApplicationContainerProps } from './application.interface';
import { IConnectorConfiguration, IRouteConfiguration } from '../../configurations-definitions.interface';
import { IContainerClassEntity } from '../../entities-definitions.interface';
import { UniversalApplicationContainer } from './universal-application.container';
import { IRnApplicationContainerProps } from './rn-application.interface';
export declare class RnApplicationContainer extends UniversalApplicationContainer<IRnApplicationContainerProps> {
    static defaultProps: IApplicationContainerProps;
    render(): JSX.Element;
    protected buildRoute(ctor: IContainerClassEntity, connectorConfiguration: IConnectorConfiguration, cfg: IRouteConfiguration): JSX.Element;
}
