import { IUniversalComponentPlugin, IUniversalField } from '../../../../entities-definitions.interface';
import { IDelayedChangesFieldPluginConfiguration } from '../../../../configurations-definitions.interface';
export declare class DelayedChangesFieldPlugin implements IUniversalComponentPlugin<IDelayedChangesFieldPluginConfiguration> {
    private component;
    static DEFAULT_DELAY_TIMEOUT: number;
    private currentValue;
    private delayedTask;
    /**
     * @stable [18.05.2018]
     * @param {IUniversalField} component
     */
    constructor(component: IUniversalField);
    /**
     * @stable [04.05.2018]
     */
    componentWillUnmount(): void;
    /**
     * @stable [04.05.2018]
     * @param {IKeyboardEvent} event
     */
    private onKeyEnter;
    /**
     * @stable [04.05.2018]
     * @param {IChangeEvent} event
     */
    private onChange;
    /**
     * @stable [18.05.2018]
     */
    private onChangeManually;
    /**
     * @stable [04.05.2018]
     * @param {AnyT} value
     */
    private doDelay;
    /**
     * @stable [04.05.2018]
     * @returns {IDelayedChangesFieldPluginConfiguration}
     */
    private readonly props;
}
