"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../../util");
exports.fromFormChanges = function (formEntityWrapper, fieldValueResolver) {
    return fieldValueResolver(formEntityWrapper.form.changes);
};
exports.isFormChangesExist = function (formEntityWrapper, fieldValueResolver) {
    return util_1.isDef(exports.fromFormChanges(formEntityWrapper, fieldValueResolver));
};
exports.toFieldValueEntity = function (payload, fieldName) {
    var payloadAsFieldModifyPayload = payload;
    var payloadAsFieldsModifyPayload = payload;
    var fields = []
        .concat(payloadAsFieldsModifyPayload.fields
        ? payloadAsFieldsModifyPayload.fields
        : [payloadAsFieldModifyPayload]);
    return fields.find(function (fieldPayload) { return fieldName === fieldPayload.name; });
};
//# sourceMappingURL=form.helper.js.map