/// <reference types="react" />
import { BaseComponent } from '../../base';
import { IKeyboardKeyProps } from './keyboard-key.interface';
export declare class KeyboardKey extends BaseComponent<KeyboardKey, IKeyboardKeyProps> {
    /**
     * @stable [26.01.2019]
     * @param {IKeyboardKeyProps} props
     */
    constructor(props: IKeyboardKeyProps);
    /**
     * @stable [27.01.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [08.05.2018]
     * @param {IBasicEvent} e
     */
    private onClick;
}
