import { MaterialPlugin } from './material.plugin';
import { IUniversalDialog, INativeMaterialDialogComponent } from '../../dialog';
export declare class DialogMaterialPlugin<TDialog extends IUniversalDialog> extends MaterialPlugin<TDialog, INativeMaterialDialogComponent> {
    /**
     * @stable [04.10.2018]
     * @param {TDialog} dialog
     */
    constructor(dialog: TDialog);
    /**
     * @stable [04.10.2018]
     */
    private onMenuActivate;
    /**
     * @stable [04.10.2018]
     */
    private onAccept;
    /**
     * @stable [04.10.2018]
     */
    private onClose;
}
