"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @stable [29.08.2018]
 * @param {TEntity} item1
 * @param {TEntity} item2
 * @returns {number}
 * @constructor
 */
exports.ID_DESC_ENTITIES_SORTER_FN = function (item1, item2) {
    return parseInt(item1.id, 10) > parseInt(item2.id, 10) ? -1 : 1;
};
/**
 * @stable [29.08.2018]
 * @param {TEntity} item1
 * @param {TEntity} item2
 * @returns {number}
 * @constructor
 */
exports.ID_ASC_ENTITIES_SORTER_FN = function (item1, item2) {
    return exports.ID_DESC_ENTITIES_SORTER_FN(item1, item2) * -1;
};
/**
 * @stable [29.08.2018]
 * @param {TEntity} item1
 * @param {TEntity} item2
 * @returns {number}
 */
exports.$DATE_DESC_ENTITIES_SORTER_FN = function (item1, item2) {
    return item1.$date > item2.$date ? -1 : 1;
};
//# sourceMappingURL=sort.js.map