/// <reference types="react" />
import { IGridHeaderColumnProps } from './grid-header-column.interface';
import { BaseGridColumn } from '../base-column';
export declare class GridHeaderColumn extends BaseGridColumn<GridHeaderColumn, IGridHeaderColumnProps> {
    /**
     * @stable [05.04.2018]
     * @param {IGridHeaderColumnProps} props
     */
    constructor(props: IGridHeaderColumnProps);
    /**
     * @stable [05.04.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable - 05.04.2018
     * @param {IBasicEvent} event
     */
    private onHeaderColumnClick;
}
