/// <reference types="react" />
import { Viewer } from '../viewer.component';
import { IPictureViewerProps, IPictureViewerState } from './picture-viewer.interface';
export declare class PictureViewer extends Viewer<PictureViewer, IPictureViewerProps, IPictureViewerState> {
    static defaultProps: IPictureViewerProps;
    /**
     * @stable [10.01.2019]
     * @returns {string}
     */
    protected getClassName(): string;
    /**
     * @stable [11.01.2019]
     * @returns {JSX.Element}
     */
    protected getContentElement(): JSX.Element;
    /**
     * @stable [08.07.2018]
     * @returns {JSX.Element}
     */
    protected gePreviewElement(): JSX.Element;
}
