"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../util");
var permissions_interface_1 = require("./permissions.interface");
function permissionsReducer(state, action) {
    if (state === void 0) { state = permissions_interface_1.INITIAL_PERMISSION_STATE; }
    switch (action.type) {
        case permissions_interface_1.PERMISSIONS_DESTROY_ACTION_TYPE:
            return __assign({}, permissions_interface_1.INITIAL_PERMISSION_STATE);
        case permissions_interface_1.PERMISSIONS_UPDATE_ACTION_TYPE:
            return __assign({}, state, { permissions: util_1.clone(action.data) });
    }
    return state;
}
exports.permissionsReducer = permissionsReducer;
//# sourceMappingURL=permissions.reducer.js.map