"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var storage_interface_1 = require("./storage.interface");
var util_1 = require("../util");
exports.joinStorageKeyPrefix = function () {
    var parts = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        parts[_i] = arguments[_i];
    }
    return parts.filter(function (v) { return !!v; }).join(storage_interface_1.STORAGE_KEY_SEPARATOR);
};
/**
 * @stable [27.06.2018]
 * @param {ISetFilesResult} result
 * @returns {string}
 */
exports.extractIdFromSetFilesResult = function (result) { return util_1.orUndef(result && result.setFilesResults.length, function () { return result.setFilesResults[0].id; }); };
//# sourceMappingURL=storage.support.js.map