import { IEffectsAction } from 'redux-effects-promise';
export declare const makeFailedEffectsProxy: (actionType: string, actionsResolver?: (action: IEffectsAction) => IEffectsAction[]) => () => void;
export declare function makeFailedFormEffectsProxy(actionType: string): () => void;
/**
 * @stable [23.12.2018]
 * @param {string} section
 * @returns {() => void}
 */
export declare const makeFailedListLoadEffectsProxy: (section: string) => () => void;
/**
 * @stable [23.12.2018]
 * @param {string} section
 * @returns {() => void}
 */
export declare const makeFailedListLazyLoadEffectsProxy: (section: string) => () => void;
export declare function makeFailedFormErrorEffectsProxy(actionType: string): () => void;
