/**
 * @stable [16.12.2018]
 * @param {number} length
 * @returns {AnyT[]}
 */
export declare const generateArray: (length: number) => any[];
/**
 * @stable [19.11.2018]
 * @param {number[]} array
 * @returns {number}
 */
export declare const arrayMinValue: (array: number[]) => number;
/**
 * @stable [22.11.2018]
 * @param {number[]} array
 * @returns {number}
 */
export declare const arrayNextMinNegativeValue: (array: number[]) => number;
/**
 * @stable [19.12.2018]
 * @param {TValue[]} array
 * @returns {boolean}
 */
export declare const isArrayNotEmpty: <TValue>(array: TValue[]) => boolean;
/**
 * @stable [28.01.2019]
 * @param {TValue[]} array
 * @param {number} limit
 * @returns {TValue[]}
 */
export declare const subArray: <TValue>(array: TValue[], limit?: number) => TValue[];
