"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../util");
function sequence(sourceFn, nextFn, nextFnScope) {
    var isSourceFnExist = util_1.isFn(sourceFn);
    return function () {
        if (isSourceFnExist) {
            sourceFn.apply(this, arguments);
        }
        nextFn.apply(nextFnScope || this, arguments);
    };
}
exports.sequence = sequence;
/* tslint:disable */
function noop() {
}
exports.noop = noop;
//# sourceMappingURL=fn.js.map