"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @stable [11.09.2018]
 * @param {IKeyValue} params
 * @returns {string}
 */
exports.buildUrl = function (params) { return encodeURIComponent(btoa(JSON.stringify(params))); };
/**
 * @stable [12.09.2018]
 * @param {string} url
 * @returns {string}
 */
exports.prepareUrl = function (url) { return url.replace(/(\/\/)+/, '/'); };
//# sourceMappingURL=url.js.map